Bug 111841 - Increase / decrease font size buttons create two undo action when clicking on them
Summary: Increase / decrease font size buttons create two undo action when clicking on...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Font-Size
  Show dependency treegraph
 
Reported: 2017-08-16 02:07 UTC by Tamás Zolnai
Modified: 2018-10-29 20:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing whch undo actions are added (91.05 KB, image/png)
2017-08-16 02:10 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-16 02:07:30 UTC
Description:
With increase / decrease font you can change the font size of a shape. The issue here is that after you applied a size change two undo action are inserted to the undo stack and so you need to click undo twice to revert the font size change.

Steps to Reproduce:
1. Open Impress
2. Select Titel shape
3. Click on increase font or decrease font button (undo action list gets two items)
4. Click undo -> nothing happens
5. Click undo again -> font size change is reverted

Actual Results:  
Two undo action is inserted to the list when the increase / decrease button is pushed and so needs two apply undo twice to revert the font size change.

Expected Results:
One undo item should be created and so one undo should be enough to revert a font size change.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-16 02:10:09 UTC
Created attachment 135570 [details]
Screenshot showing whch undo actions are added
Comment 2 Telesto 2017-08-16 09:45:14 UTC
Repro with:
Version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Telesto 2017-08-16 09:49:04 UTC
Probably a little bit easier to notice
1. Open Impress
2. Select Title shape
3. Type something into the textbox
4. Apply a font color
5. Undo applying font (CTRL+Z) -> no effect
6. Undo a second time (CTRL+Z) -> working
Comment 4 QA Administrators 2018-08-17 02:38:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug